summaryrefslogtreecommitdiff
path: root/scripts/sd-all
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/sd-all')
-rwxr-xr-xscripts/sd-all14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/sd-all b/scripts/sd-all
new file mode 100755
index 0000000..15002cc
--- /dev/null
+++ b/scripts/sd-all
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+awk '
+ NF == 0 { next }
+ $1 ~ /#/ { next }
+ { print $1 }
+' "$HOME/.sd-publish-all.conf" |
+while read repo
+do
+ export SD_REPO="$repo"
+ sd "$@" || exit 1
+done